<div>
    <h2 data-translate="probioticApp.dosage.home.title">Dosages</h2>
    <jhi-alert></jhi-alert>
    <div class="container-fluid">
        <div class="row">
            <div class="col-xs-4 no-padding-left">
                <button class="btn btn-primary" ui-sref="dosage.new" >
                    <span class="glyphicon glyphicon-plus"></span>
                    <span class="hidden-xs-down"  data-translate="probioticApp.dosage.home.createLabel">
                        Create new Dosage
                    </span>
                </button>
            </div>
            <div class="col-xs-8 no-padding-right">
                <form name="searchForm" class="form-inline">
                    <div class="input-group pull-right" >
                        <input type="text" class="form-control" ng-model="vm.searchQuery" id="searchQuery" placeholder="{{ 'probioticApp.dosage.home.search' | translate }}">
                        <span  class="input-group-btn width-min" >
                            <button class="btn btn-info" ng-click="vm.search(vm.searchQuery)">
                                <span class="glyphicon glyphicon-search"></span>
                            </button>
                        </span>
                        <span class="input-group-btn width-min" ng-if="vm.currentSearch">
                            <button class="btn btn-info" ng-click="vm.clear()">
                                <span class="glyphicon glyphicon-trash"></span>
                            </button>
                        </span>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <br/>
    <div class="table-responsive">
        <table class="jh-table table table-striped">
            <thead>
                <tr jh-sort="vm.predicate" ascending="vm.reverse" callback="vm.transition()">
                    <th jh-sort-by="id"><span data-translate="global.field.id">ID</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="timestamp"><span data-translate="probioticApp.dosage.timestamp">Timestamp</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="age"><span data-translate="probioticApp.dosage.age">Age</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="cfu"><span data-translate="probioticApp.dosage.cfu">Cfu</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="intake"><span data-translate="probioticApp.dosage.intake">Intake</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="frequency"><span data-translate="probioticApp.dosage.frequency">Frecuency</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th jh-sort-by="indication"><span data-translate="probioticApp.dosage.indication">Indication</span> <span class="glyphicon glyphicon-sort"></span></th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <tr ng-repeat="dosage in vm.dosages track by dosage.id">
                    <td><a ui-sref="dosage-detail({id:dosage.id})">{{dosage.id}}</a></td>
                    <td>{{dosage.timestamp | date:'medium'}}</td>
                    <td data-translate="{{'probioticApp.Age.' + dosage.age}}">{{dosage.age}}</td>
                    <td>{{dosage.cfu}}</td>
                    <td>{{dosage.intake}}</td>
                    <td>{{dosage.frequency}}</td>
                    <td>
                        <div class="line-container">
                            <div class="single-line" tooltip-placement="top"
                                 uib-tooltip="{{dosage.indication}}">{{dosage.indication}}
                            </div>
                        </div>

                    </td>
                    <td class="text-right">
                        <div class="btn-group flex-btn-group-container">
                            <button type="submit"
                                    ui-sref="dosage-detail({id:dosage.id})"
                                    class="btn btn-info btn-sm">
                                <span class="glyphicon glyphicon-eye-open"></span>
                                <span class="hidden-sm-down" data-translate="entity.action.view"></span>
                            </button>
                            <button type="submit"
                                    ui-sref="dosage.edit({id:dosage.id})"
                                    class="btn btn-primary btn-sm">
                                <span class="glyphicon glyphicon-pencil"></span>
                                <span class="hidden-sm-down" data-translate="entity.action.edit"></span>
                            </button>
                            <button type="submit"
                                    ui-sref="dosage.delete({id:dosage.id})"
                                    class="btn btn-danger btn-sm">
                                <span class="glyphicon glyphicon-remove-circle"></span>
                                <span class="hidden-sm-down" data-translate="entity.action.delete"></span>
                            </button>
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
    <div class="text-center">
        <jhi-item-count page="vm.page" total="vm.queryCount" items-per-page="vm.itemsPerPage"></jhi-item-count>
        <uib-pagination class="pagination-sm" total-items="vm.totalItems" items-per-page="vm.itemsPerPage" ng-model="vm.page" ng-change="vm.transition()"></uib-pagination>
    </div>
</div>
